> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Import Thread



## OpenAPI

````yaml /openapi-v1.json post /api/v1/conversations/import
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/conversations/import:
    post:
      tags:
        - Conversations
      summary: Import Thread
      operationId: core_api_v1_controllers_conversations_import_thread
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConversationImportIn'
        required: true
      responses:
        '200':
          description: OK
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    ConversationImportIn:
      additionalProperties: false
      properties:
        source:
          pattern: ^[a-z0-9][a-z0-9._-]{0,99}$
          title: Source
          type: string
        external_id:
          maxLength: 255
          minLength: 1
          title: External Id
          type: string
        agent_id:
          format: uuid
          title: Agent Id
          type: string
        user:
          $ref: '#/components/schemas/ImportedUserIn'
        title:
          anyOf:
            - maxLength: 255
              type: string
            - type: 'null'
          title: Title
        messages:
          items:
            $ref: '#/components/schemas/ImportedMessageIn'
          maxItems: 1000
          minItems: 2
          title: Messages
          type: array
      required:
        - source
        - external_id
        - agent_id
        - user
        - messages
      title: ConversationImportIn
      type: object
    ImportedUserIn:
      additionalProperties: false
      properties:
        external_id:
          maxLength: 255
          minLength: 1
          title: External Id
          type: string
      required:
        - external_id
      title: ImportedUserIn
      type: object
    ImportedMessageIn:
      additionalProperties: false
      properties:
        role:
          enum:
            - user
            - assistant
          title: Role
          type: string
        content:
          maxLength: 100000
          minLength: 1
          title: Content
          type: string
        created_at:
          format: date-time
          title: Created At
          type: string
      required:
        - role
        - content
        - created_at
      title: ImportedMessageIn
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````